# -*- coding: utf-8 -*-
from setuphelpers import *
import platform

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""

def install():
    if platform.system() == 'Windows':
        filecopyto('anydesk.bat', persistent_dir)

def audit():

    if platform.system() == 'Windows':
        anydesk_id = run(makepath(persistent_dir,'anydesk.bat'))
        print(anydesk_id)
        if anydesk_id.endswith('\r\n'):
            anydesk_id = anydesk_id.split(' ')[0]
        if anydesk_id.isdigit():
            WAPT.write_audit_data_if_changed("anydesk", 'anydesk-id', anydesk_id, max_count=365)

    if platform.system() == 'Linux':
        anydesk_id = run('/usr/bin/anydesk --get-id')
        if anydesk_id.endswith('\n'):
            anydesk_id = anydesk_id.split(' ')[0]
        if anydesk_id.isdigit():
            WAPT.write_audit_data_if_changed("anydesk", 'anydesk-id', anydesk_id, max_count=365)

    if platform.system() == 'Darwin':
        for l in get_loggedinusers():
            user = l.split(':')[0]
            with open(rf'/Users/{user}/.anydesk/system.conf','r') as f:
                splitted_lines = f.readlines()
                for line in splitted_lines:
                    if 'ad.anynet.id' in line:
                        anydesk_id = line.split('=')[-1].replace('/n','')
                        WAPT.write_audit_data_if_changed("anydesk", 'anydesk-id', anydesk_id, max_count=365)


    return "OK"




